#!/bin/sh
#----------------------------------------------------------------------------
#  opt_smbmount
#  smbmount.sh
#
# Creation:     15.09.2004  Vsevolod Kukol <sevo@sevo.dyn-dns.org>
#
# Copyright (c) 2004 Vsevolod Kukol
#----------------------------------------------------------------------------

#--------------------------------------------------------
# Konfiguraion laden
#--------------------------------------------------------
. /etc/smbmount.conf

#--------------------------------------------------------
# Mount
#--------------------------------------------------------

idx=1
while [ "$idx" -le "$SMBMOUNT_N" ]
do
   eval mountpoint='$SMBMOUNT_'$idx'_PATH'
   eval smbserver='$SMBMOUNT_'$idx'_SERVER'
   eval sharename='$SMBMOUNT_'$idx'_SHARE'
   eval username='$SMBMOUNT_'$idx'_USER'
   eval password='$SMBMOUNT_'$idx'_PASSWORD'

   if [ "$smbserver" = "" ]
   then
       colecho "No SMB Server specified!" br x br
   else
       if [ -n "`nmblookup $smbserver | grep \"name_query failed to find name $smbserver\"`" ]
       then
           colecho "Cannot find NETBIOS Name $smbserver! Perhaps IP specified." br x br
       fi
   fi

   if [ "$sharename" = "" ]
   then
       colecho "No Share Name specified! Skipping..." br x br
   fi

   mkdir -p $mountpoint
   if [ "$?" != "0" ]
   then
       colecho "Cannot create Mountpoint! Skipping..." br x br
       mountpoint=
   else
       idxd='0'
       for i in `ls $mountpoint`
       do
          idxd=`/usr/bin/expr $idxd + 1`
       done
   
       if [ "$idxd" != "0" ]
       then
           colecho "Mountpoint $mountpoint is not empty! Skipping..." br x br
	   mountpoint=
       fi
   fi


   if [ "$smbserver" != "" -a "$sharename" != "" -a "$mountpoint" != "" ]
   then
       smbmount \\\\$smbserver\\$sharename "$password" -U "$username" -c "mount $mountpoint" >/dev/null
       if [ "$?" != "0" ]
       then
           colecho "Cannot mount Share $sharename on SMB Server $smbserver to Mountpoint $mountpoint" br x br
           colecho "Check username and password." br x br
       else
           colecho "Share $sharename on SMB Server $smbserver successfull mounted to Mountpoint $mountpoint" gn
       fi
   fi
   idx=`/usr/bin/expr $idx + 1`
done